VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
INvramStore Interface Reference

Provides access to the NVRAM store collecting all permanent states from different sources (UEFI, TPM, etc.). More...

Inheritance diagram for INvramStore:

## Public Member Functions
void | initUefiVariableStore (in unsigned long size)
| Initializes the UEFI variable store.

## Public Attributes
readonly attribute wstring | nonVolatileStorageFile
| The location of the file storing the non-volatile memory content when the VM is powered off.
readonly attribute IUefiVariableStore | uefiVariableStore
| Object to manipulate the data in an existing UEFI variable store.
readonly attribute wstring | keyId
| Key Id of the password used for encrypting the NVRAM file.
readonly attribute wstring | keyStore
| Key store used for encrypting the NVRAM file.

## Detailed Description

Provides access to the NVRAM store collecting all permanent states from different sources (UEFI, TPM, etc.).

Interface ID:
  `{5BFD8965-B81B-469F-8649-F717CE97A5D5}`

## Member Function Documentation

## ◆ initUefiVariableStore()

void INvramStore::initUefiVariableStore | ( | in unsigned long | size | ) |

Initializes the UEFI variable store.

Parameters

  size | Size in bytes of the UEFI variable store. Must be 0 for now to initialize to the default size.

## Member Data Documentation

## ◆ nonVolatileStorageFile

readonly attribute wstring INvramStore::nonVolatileStorageFile

The location of the file storing the non-volatile memory content when the VM is powered off.

The file does not always exist.

## ◆ uefiVariableStore

readonly attribute IUefiVariableStore INvramStore::uefiVariableStore

Object to manipulate the data in an existing UEFI variable store.

## ◆ keyId

readonly attribute wstring INvramStore::keyId

Key Id of the password used for encrypting the NVRAM file.

Internal use only for now.

## ◆ keyStore

readonly attribute wstring INvramStore::keyStore

Key store used for encrypting the NVRAM file.

Internal use only for now.